import React from 'react';
import { isUrl } from '../utils/utils';
import AXIcon from '../components/AXIcon';

const menuData = () => {
  return [{
    name: '统计概览',
    icon: 'dashboard',
    path: 'dashboard',
    children: [{
    //   name: '营销统计',
    //   path: 'analysis',
    //   icon: <AXIcon type="monitor" />,
    // }, {
      name: '销售详情',
      path: 'sold',
      icon: <AXIcon type="action" />,
    }],
    authority: ['admin', 'platform'],
  }, {
    name: '产品库',
    icon: 'shop',
    path: 'shelves',
    children: [{
      name: '课程',
      path: 'course',
    }, {
      name: '配套',
      path: 'support',
    }, {
      name: '师训',
      path: 'training',
    }, {
      name: '套餐包',
      path: 'package',
    }],
    authority: ['admin', 'platform'],
  }, {
    name: '前端配置',
    icon: 'android-o',
    path: 'frontend',
    children: [{
      name: '用户配置',
      path: 'ConfigUser',
    }],
    authority: ['admin', 'platform'],
  }, {
    name: '交易管理',
    icon: 'trademark',
    path: 'trade',
    children: [{
      name: '购物车',
      icon: 'shopping-cart',
      path: 'shopcart',
    }, {
      name: '订单列表',
      icon: <AXIcon type="order" />,
      path: 'order',
    }],
    authority: ['admin', 'platform'],
  }, {
    name: '校区管理',
    icon: <AXIcon type="campus" />,
    path: 'campus',
    children: [{
      name: '校区列表',
      path: 'list',
    }],
    authority: ['admin', 'platform', 'channel'],
  }, {
    name: '终端管理',
    path: 'terminal',
    icon: <AXIcon type="terminal" />,
    children: [{
      name: '终端用户',
      path: 'user',
    }],
    authority: ['admin', 'platform', 'channel'],
  }, {
    name: '系统管理',
    path: 'system',
    icon: <AXIcon type="systemuser" />,
    children: [{
      name: '系统用户',
      path: 'cms-user',
    }],
    authority: 'admin',
  }];
};

function formatter(data, parentPath = '/', parentAuthority) {
  return data.map((item) => {
    let { path } = item;
    if (!isUrl(path)) {
      path = parentPath + item.path;
    }
    const result = {
      ...item,
      path,
      authority: item.authority || parentAuthority,
    };
    if (item.children) {
      result.children = formatter(item.children, `${parentPath}${item.path}/`, item.authority);
    }
    return result;
  });
}

export const getMenuData = () => formatter(menuData());
